## org.apache.xpath.patterns
Interface NodeTestFilter

public interface NodeTestFilter

This interface should be implemented by Nodes and/or iterators, when they need to know what the node test is before they do getNextChild, etc.

Method Summary
`void` `setNodeTest(NodeTest nodeTest)` Set the node test for this filter.

Method Detail

### setNodeTest

    public void setNodeTest(NodeTest nodeTest)

  Set the node test for this filter.
  Parameters:
    `nodeTest` - Reference to a NodeTest that may be used to predetermine what nodes to return.

Copyright © 2006 Apache XML Project. All Rights Reserved.